/// class PD.Web.UI.Controls.GridTagsColumn
/// using PD.Web.UI.Controls.GridColumn

PD.Web.UI.Controls.GridTagsColumn = 
PD.Web.UI.Controls.GridColumn.extend({

    //===================================
    // FIELDS
    //===================================

    _iconPath: null,

    //===================================
    // CONSTRUCTOR
    //===================================

    init: function (options) {

        this._super($.extend({
            template: _.bind(this.template, this)
        }, options));
        
        this.properties("title", this.getTitle());

    },

    //===================================
    // PUBLIC METHODS
    //===================================

    template: function (data) {
        return this.convertToTags(data);
    },

    convertToTags: function (data) {

        let result = data.Name.split(" ");

        data.Color

        return result;

    }

});